/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/**
 * Donn�es n�cessaires � l'�dition d'un devis standard
 */

package org.opensi.facturation.actions.documents.modeles;


public class VentilTVA {

	protected double baseHT;
	protected double tauxTVA;
	protected double montantTVA;
	protected boolean npr = false;

	public VentilTVA(double baseHT, double tauxTVA) {

		this.baseHT = baseHT;
		this.tauxTVA = tauxTVA;			
		this.montantTVA = baseHT * tauxTVA/100;
	}
	
	public void setNPR(boolean npr) {
		this.npr = npr;
	}
	
	/**
	 * Ajouter un montant de Tva
	 * 
	 * @param montantTva le montant de Tva à rajouter
	 */
	public void ajouterMontantTva(double montantTva) {
		this.montantTVA += montantTva;
	}
	
	/**
	 * Ajouter un montant à la base HT, et faire les calculs nécessaires pour
	 * mettre à jour le montant de TVA.
	 * 
	 * @param base		le montant HT à ajouter
	 */
	public void ajouterBase(double base) {
		baseHT += base;
		montantTVA += (base * tauxTVA/100);
	}
		
} // fin VentilTVA
	

	
